<%=
  component_wrapper do
    grid_layout("op-meeting-outcome", tag: :div, id: "outcome-#{@meeting_agenda_item.id}", mt: 2) do |grid|
      if @edit
        grid.with_area(:notes) do
          render(MeetingAgendaItems::Outcomes::InputComponent.new(meeting: @meeting, meeting_agenda_item: @meeting_agenda_item, meeting_outcome: @meeting_outcome))
        end
      elsif @meeting_outcome.present?
        grid.with_area(:notes) do
          render(MeetingAgendaItems::Outcomes::ShowNotesComponent.new(meeting_outcome: @meeting_outcome))
        end
      else
        grid.with_area(:button) do
          render(MeetingAgendaItems::Outcomes::NewButtonComponent.new(meeting: @meeting, meeting_agenda_item: @meeting_agenda_item))
        end
      end
    end
  end
%>
